Get catalog
curl --request GET \
--url https://api.example.com/v1/stripe/catalogimport requests
url = "https://api.example.com/v1/stripe/catalog"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/stripe/catalog', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Billing
Get catalog
List plans and credit packs that can be purchased on this deploy.
GET
/
v1
/
stripe
/
catalog
Get catalog
The server is the source of truth for which Stripe prices map to which
plans / pack sizes. The client doesn’t know, it asks here, then uses
the returned
Packs are sorted by credit count ascending.
price_id values in
POST /v1/stripe/checkout.
Response
{
"plans": [
{ "price_id": "price_1Abc...", "plan": "starter" },
{ "price_id": "price_1Def...", "plan": "creator" },
{ "price_id": "price_1Ghi...", "plan": "studio" }
],
"packs": [
{ "price_id": "price_2Aaa...", "credits": 100 },
{ "price_id": "price_2Bbb...", "credits": 500 },
{ "price_id": "price_2Ccc...", "credits": 1500 },
{ "price_id": "price_2Ddd...", "credits": 5000 }
]
}
Errors
| Status | Code | Meaning |
|---|---|---|
| 503 | billing_not_configured | Stripe is not configured on this deploy. |
Was this page helpful?
⌘I